<?php

class formWidgetHistoryListOptions extends cmsForm {

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_OPTIONS,
                'childs' => array(

                    
                    new fieldList('options:ctype_id', array(
                        'title' => LANG_CONTENT_TYPE,
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentTypes();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return array(''=>'== Автоопределение ==')+$items;

                        },
                    )),
					
					new fieldCheckbox('options:show_all', array(
                       'title' =>  'Выводить все записи если тип контента не определён',
                       'hint' =>  'Облегчённый вывод, выводится напрямую из лога. Заголовок, изображение, описание записи могу оказатся не актуальными.',
                    )),
			
					
					
					new fieldCheckbox('options:show_logdate', array(
                       'title' =>  'Показывать дату просмотра',
					   'hint' =>  'Отображает дату добавления в лог',
                    )),  
					
                    new fieldList('options:style', array(
                        'title' => LANG_WD_HISTORY_LIST_STYLE,
                        'default' => 'basic',
                        'items' => array(
                            'basic'       => LANG_WD_HISTORY_LIST_STYLE_BASIC,
                            'featured'    => LANG_WD_HISTORY_LIST_STYLE_FEATURED,
                            'tiles_big'   => LANG_WD_HISTORY_LIST_STYLE_TILES_BIG,
                            'tiles_small' => LANG_WD_HISTORY_LIST_STYLE_TILES_SMALL,
                            'compact'     => LANG_WD_HISTORY_LIST_STYLE_COMPACT,
                            ''            => LANG_WD_HISTORY_LIST_STYLE_CUSTOM
                        )
                    )),

                    new fieldCheckbox('options:show_details', array(
                       'title' =>  LANG_WD_HISTORY_LIST_DETAILS,
                    )),
					
						new fieldCheckbox('options:show_teaser', array(
                       'title' =>  'Показывать описание',
                    )),  

                    new fieldNumber('options:teaser_len', array(
                        'title' => LANG_PARSER_HTML_TEASER_LEN,
                        'hint' => LANG_PARSER_HTML_TEASER_LEN_HINT,
						'default' => 200,
                    )),

                    new fieldNumber('options:limit', array(
                        'title' => LANG_LIST_LIMIT,
                        'default' => 10,
                        'rules' => array(
                            array('required')
                        )
                    )),


                )
            ),
			
			
		
			
			
			
			
			

        );

    }

}
