INSERT INTO `{#}controllers` (`title`, `name`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`) VALUES
('История просмотров', 'history', 1, NULL, 'Денис Васильевич [GoodMade.ru]', 'http://goodmade.ru', '1.0', 1);
CREATE TABLE IF NOT EXISTS `{#}history_log` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned DEFAULT NULL COMMENT 'ID пользователя',
  `target_controller` varchar(32) DEFAULT NULL COMMENT 'Компонент',
  `target_subject` varchar(32) DEFAULT NULL COMMENT 'Субъект',
  `target_id` int(11) unsigned DEFAULT NULL COMMENT 'ID субъекта',
  
  `target_url` varchar(100) DEFAULT NULL,
  `target_title` varchar(300) DEFAULT NULL,  
  `target_image` text DEFAULT NULL,  
  `target_teaser` text DEFAULT NULL,
  
  `ip` int(10) unsigned DEFAULT NULL COMMENT 'ip-адрес',
  `date_log` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `target_id` (`target_id`,`target_controller`,`target_subject`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
INSERT INTO `{#}widgets` (`controller`, `name`, `title`, `author`, `url`, `version`) VALUES
('history', 'list', 'Список просмотров', 'Денис Васильевич', 'http://goodmade.ru', '1.0');



